@import url("https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&family=Syne:wght@400..800&display=swap");

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Rubik", sans-serif;
  font-size: 1rem;
  font-weight: normal;
  color: #ffffff;
  text-decoration: none;
}

body {
  background-color: #000000;
  overflow-x: hidden;
}

.menu-toggle {
  background: none;
  border: none;
  cursor: pointer;
  display: none;
  flex-direction: column;
  gap: 5px;
  z-index: 1000;
}

.menu-toggle span {
  width: 25px;
  height: 3px;
  background-color: #fff; /* ajuste conforme o fundo */
  border-radius: 2px;
  transition: 0.3s ease;
}

.menu {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1.5rem 9rem 0 12.75rem;
}

#menu-conteudo {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 2.5rem;
}

#menu-conteudo > a {
  color: #ffffff;
  opacity: 50%;
  text-decoration: none;
}

#menu-conteudo > a:hover {
  opacity: 100%;
  transition-duration: 1s;
}

.logo-rc > img {
  width: 55px;
  height: 55px;
}

.contato-btn {
  background-color: #030304;
  font-weight: bold;
  border-radius: 1.87rem;
  border-style: solid;
  border-color: #ffffff63;
  padding: 0.93rem 2.25rem;
  color: #ffffff;
  text-decoration: none;
}

.contato-btn:hover {
  background-color: #9eb0a9;
  transition-duration: 1s;
}

.primeira-secao {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 2.81rem;
  justify-content: center;
  align-items: center;
  padding: 9.18rem;
}

.gradient-bg {
  filter: blur(35px);
  opacity: 41%;
  z-index: 0;
}

.primeira-secao div {
  display: flex;
  flex-direction: column;
  justify-content: center;
  border: none;
}
.primeira-secao h1 {
  font-family: "Syne", sans-serif;
  text-align: center;
  font-size: 4.5rem;
  line-height: 5.37rem;
  font-weight: bold;
  background: none;
}

.primeira-secao h1,
.explore-btn {
  z-index: 1;
}

.explore-btn a {
  text-decoration: none;
  font-size: 1rem;
  text-align: center;
  background-color: #9eb0a9;
  border-radius: 2.03rem;
  padding: 1.43rem 4.37rem;
  text-transform: uppercase;
  font-weight: 600;
  letter-spacing: 0.101rem;
}

.explore-btn a:hover {
  background-color: #ffffff;
  color: #1a1a1a;
  transition-duration: 1s;
}
.sobre-secao {
  position: relative;
  display: flex;
  justify-content: center;
  padding: 9.375rem 9.375rem 0 9.375rem;
  gap: 3rem;
}

.sobre-secao-conteudo {
  display: flex;
  flex-direction: column;
  padding-top: 3.938rem;
  gap: 1.625rem;
}

.sobre-secao-conteudo h2 {
  font-family: "Syne", sans-serif;
  font-size: 3.5rem;
  font-weight: bold;
}

.sobre-secao-conteudo p {
  max-width: 80%;
  font-size: 1.125rem;
  line-height: 2rem;
  color: #a8a8a8;
}

.descubra-mais-btn {
  margin-top: 2.375rem;
}

.descubra-mais-btn > a {
  text-decoration: none;
  background-color: #9eb0a9;
  border-radius: 2.938rem;
  padding: 1.25rem 3.125rem;
  font-weight: 500;
}

.descubra-mais-btn a:hover {
  background-color: #ffffff;
  color: #1a1a1a;
  transition-duration: 1s;
}

.rianderson-foto {
  position: relative;
  display: inline-block;
  max-width: 729px;
  filter: grayscale(100%);
}

.rianderson-foto img {
  display: block;
  max-width: 454px;
  border-radius: 1.87rem;
}

.rianderson-foto div {
  position: absolute;
  border-radius: 1.87rem;
  border: 0.06rem solid #9eb0a9;
  background: none;
}

#elemento-superior {
  width: 110px;
  height: 34px;
  top: -1rem;
  right: 0.125rem;
}

#elemento-esquerdo {
  width: 55px;
  height: 178px;
  left: -2.5rem;
  top: 17.813rem;
}

.projetos-secao {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-top: 9.375rem;
  margin-bottom: 12rem;
  gap: 3.375rem;
}

.projetos-secao h2 {
  font-family: "Syne", sans-serif;
  font-size: 4rem;
  font-weight: bold;
  text-align: center;
}

.explore-mais-btn {
  padding-bottom: 3.375rem;
}

.explore-mais-btn > a {
  font-size: 0.813rem;
  font-weight: bold;
  letter-spacing: 0.102rem;
  text-decoration: none;
  text-transform: uppercase;
  border: 0.06rem solid #9eb0a9;
  border-radius: 2.031rem;
  padding: 1.375rem 2.688rem;
}

.explore-mais-btn a:hover {
  background-color: #9eb0a9;
  transition-duration: 1s;
}

.galeria-projetos {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 1.688rem;
  row-gap: 5.875rem;
}
.video-preview {
  max-width: 420px;
  max-height: 614.4px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2rem;
}

.video-preview video {
  width: 100%;
  height: 80%;
  object-fit: cover;
  object-position: center 22%;
  border-radius: 1rem;
}

.video-preview p {
  font-size: 0.875rem;
  letter-spacing: 0.016rem;
  font-weight: 200;
}

.titulo-video {
  display: flex;
  flex-direction: row;
  align-items: left;
}

.titulo-video > h3 {
  font-family: "Syne", sans-serif;
  text-transform: uppercase;
  font-weight: bold;
  line-height: 2rem;
  font-size: 1.5rem;
}

.tracado-legenda-video {
  width: 3rem;
  height: 0;
  border: solid #9eb0a9;
  border-radius: 1rem;
}
.legenda-video {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 2rem;
}
.legenda-video > div {
  display: flex;
  flex-direction: column;
  gap: 0.8rem;
}

.paragrafo-video > div {
  display: flex;
  gap: 1rem;
}

.texto-destaque {
  color: #9eb0a9;
}

.clientes-parceiros {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 3.688rem;
  margin-bottom: 9rem;
}

.clientes-parceiros > h2 {
  font-family: "Syne", sans-serif;
  font-size: 4em;
  font-weight: bold;
  text-align: center;
  margin-bottom: 2rem;
  z-index: 1;
  background: none;
}

#gradiente-clientes {
  position: absolute;
  top: 1%;
  right: 1%;
}

.logos-clientes {
  display: grid;
  grid-template-columns: repeat(3, auto);
  row-gap: 2.938rem;
  column-gap: 9rem;
  justify-content: center;
  align-items: center;
  background: none;
  z-index: 1;
}

.logos-clientes > img {
  max-width: 256px;
  width: 90%;
}

.footer {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-top: 6.25rem;
  background-color: #151515;
}

.footer p {
  font-family: "Syne", sans-serif;
  font-style: normal;
}

.cta {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-bottom: 7rem;
  gap: 1.438rem;
}

#frase-cta {
  color: #9eb0a9;
  font-size: 1.5rem;
  font-weight: 700;
  line-height: 1.813rem;
}
#email {
  font-size: 3rem;
  font-weight: 700;
  line-height: 3.625rem;
}

.contato-info {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 18rem;
  margin-bottom: 2rem;
}

#logo-footer {
  max-width: 164px;
}

.info-adicionais {
  display: flex;
  justify-content: space-between;
  gap: 6rem;
}

.info-adicionais > div {
  display: flex;
  flex-direction: column;
  gap: 0.563rem;
}

.info-adicionais-texto {
  font-size: 1.5rem;
  line-height: 1.75rem;
}

i {
  color: #9eb0a9;
}

#cnpj {
  font-size: 1.3rem;
}

.icones-social {
  display: flex;
  gap: 1rem;
}

#linha {
  width: 900px;
  height: 0;
  border-color: #9eb0a9;
}
.copy {
  padding: 2.25rem 0 5rem 0;
}
.copy > p {
  font-family: "Syne", sans-serif;
  font-size: 1.5rem;
  line-height: 1.75rem;
}

@media (max-width: 1280px) {
  .sobre-secao {
    padding-left: 4.5rem;
    padding-right: 4.5rem;
  }

  .sobre-secao-conteudo h2 {
    font-size: 2.5rem;
  }

  .sobre-secao-conteudo p {
    font-size: 0.9rem;
    line-height: 1.7rem;
  }
}

@media (max-width: 1024px) {
  body {
    overflow-x: hidden;
  }
  .menu {
    padding: 1.5rem 3rem 0 3rem;
  }

  .menu-toggle {
    display: flex;
  }

  #menu-conteudo {
    position: fixed;
    top: 0;
    right: -100%;
    width: 70%;
    height: 100vh;
    background-color: #131313;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 2rem;
    transition: right 0.7s ease;
    z-index: 999;
  }

  #menu-conteudo.active {
    right: 0;
  }

  .primeira-secao {
    padding: 6rem;
  }

  .primeira-secao h1 {
    font-size: 3.4rem;
    line-height: 4.37rem;
  }

  .sobre-secao {
    flex-wrap: wrap;
    gap: 5rem;
  }

  .sobre-secao-conteudo {
    align-items: center;
  }

  .sobre-secao-conteudo h2 {
    font-size: 2.8rem;
    padding: 0 1rem;
    text-align: center;
  }

  .sobre-secao-conteudo p {
    font-size: 1rem;
    line-height: 1.5rem;
    text-align: center;
  }

  #elemento-esquerdo {
    top: 12rem;
  }

  .galeria-projetos {
    grid-template-columns: 1fr;
  }

  .clientes-parceiros > h2,
  .projetos-secao h2 {
    font-size: 3.2rem;
  }

  .logos-clientes {
    grid-template-columns: repeat(2, auto);
    justify-items: center;
  }

  .cta {
    margin-bottom: 5rem;
  }
  #email {
    font-size: 2.2rem;
  }

  #linha {
    width: 510px;
  }
  .contato-info {
    flex-direction: column;
    gap: 4rem;
  }
}

@media (max-width: 768px) {
  .gradient-bg {
    max-width: 70px;
  }
  .primeira-secao {
    padding: 4.2rem;
    gap: 4rem;
  }

  .primeira-secao h1 {
    font-size: 2rem;
    line-height: 2.8rem;
  }

  .explore-btn a {
    padding: 1.1rem 3rem;
  }

  .sobre-secao {
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    padding-top: 2.1rem;
  }
  .sobre-secao-conteudo {
    align-items: center;
  }

  .sobre-secao-conteudo h2,
  .projetos-secao h2,
  .clientes-parceiros > h2 {
    font-size: 1.8rem;
  }

  .sobre-secao-conteudo p {
    width: 75%;
    font-size: 0.95rem;
  }

  .rianderson-foto img {
    max-width: 345px;
    width: 100%;
  }

  #elemento-esquerdo {
    width: 45px;
    height: 148px;
    left: -1.6rem;
  }

  .projetos-secao {
    padding-top: 5rem;
    margin-bottom: 1.1rem;
  }

  .galeria-projetos {
    grid-template-columns: 1fr;
    justify-items: center;
    row-gap: 3.5rem;
  }

  .video-preview {
    width: 80%;
    height: 80%;
  }

  .video-preview video {
    object-position: center 10%;
  }

  .titulo-video > h3 {
    font-size: 1.2rem;
  }

  .clientes-parceiros {
    gap: 2rem;
  }

  .logos-clientes {
    grid-template-columns: auto;
    row-gap: 1.4rem;
    justify-items: center;
  }

  .logos-clientes > img {
    width: 80%;
  }

  .contato-info {
    gap: 3rem;
  }

  .info-adicionais {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2rem;
  }

  .info-adicionais > div {
    align-items: center;
  }

  .info-adicionais-texto {
    font-size: 1.2rem;
    line-height: 1.4rem;
  }

  #cnpj {
    font-size: 0.8rem;
  }
  #logo-footer {
    width: 100%;
  }

  .cta {
    gap: 0.3rem;
  }

  #frase-cta {
    font-size: 0.8rem;
    line-height: 0.9rem;
  }
  #email {
    font-size: 1.2rem;
    line-height: 2rem;
  }
  #linha {
    width: 300px;
  }
  .copy {
    padding: 1rem 0;
  }
  .copy > p {
    font-size: 1rem;
    line-height: 1rem;
  }
}

@media (max-width: 395px) {
  .primeira-secao h1 {
    font-size: 1.35rem;
    line-height: 2rem;
  }

  .explore-btn a {
    padding: 0.8rem 1.5rem;
    font-size: 0.7rem;
  }

  .sobre-secao {
    padding: 1.4rem 2rem;
  }

  .sobre-secao-conteudo h2,
  .projetos-secao h2,
  .clientes-parceiros > h2 {
    font-size: 1.4rem;
  }

  .sobre-secao-conteudo p {
    width: 85%;
    font-size: 0.7rem;
    line-height: 0.8rem;
  }

  .descubra-mais-btn > a {
    font-size: 0.7rem;
    padding: 1rem 1.7rem;
  }

  .descubra-mais-btn {
    margin-top: 2rem;
  }

  .rianderson-foto {
    width: 77%;
  }

  #elemento-esquerdo {
    width: 35px;
    height: 128px;
    top: 6rem;
    left: -1.2rem;
  }

  .explore-mais-btn > a {
    padding: 0.85rem 1.7rem;
  }

  .projetos-secao {
    padding-top: 1rem;
    margin-bottom: 0.2rem;
  }

  .galeria-projetos {
    row-gap: 0.2rem;
  }

  .video-preview {
    width: 65%;
    height: 65%;
    gap: 0.8rem;
  }

  .titulo-video > h3 {
    font-size: 0.8rem;
  }

  .video-preview p {
    font-size: 0.55rem;
  }

  .logos-clientes {
    grid-template-columns: auto;
    row-gap: 1.4rem;
    justify-items: center;
  }

  .logos-clientes > img {
    width: 60%;
  }

  .footer {
    gap: 0.2rem;
    justify-items: center;
    align-items: center;
    align-content: center;
  }
  .contato-info {
    flex-direction: column;
    align-items: center;
  }

  .info-adicionais-texto {
    font-size: 1rem;
    line-height: 1.2rem;
  }

  #cnpj {
    font-size: 0.4rem;
  }
  #logo-footer {
    width: 60%;
    display: block;
    margin: 0 auto;
  }

  .cta {
    gap: 0.3rem;
  }

  #frase-cta {
    font-size: 0.58rem;
    line-height: 0.5rem;
  }
  #email {
    font-size: 0.89rem;
    line-height: 1.7rem;
  }
  .icones-social {
    gap: 0.6rem;
  }
  .fa-brands {
    font-size: 1.2rem;
  }

  #linha {
    width: 220px;
  }

  .copy > p {
    font-size: 0.6rem;
    line-height: 0.8rem;
  }
}
